* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  --bg-color: #aea4a4;
  --hd-color: #183b50;
  --main-color: #646536;
  --nav-color: #2d5d79;
  --text-color: #ffffff;
  --klarhet: 1;
}

body {
	display: flex;
	flex-direction: column;
	background-color: var(--bg-color);
  color: var(--text-color);
}

#omkrets {
	width: 70%;
    margin: 0 auto;
    border: 1.5px solid black;
}
@media (max-width:600px) {
	
	#omkrets {
		width:100%;
		border: 1.5px solid black;
	}
}
h1, h2 {
  font-weight: 400;
}
	
a {
	text-decoration: none;
  color: var(--text-color);
}

header {
    border-bottom: 1.5px black solid;
	background-color: var(--hd-color);
	display: flex;
	justify-content: center;
}



nav {
	display: flex;
	border-bottom: 1.5px solid black;
	background-color: var(--nav-color);
	justify-content: center;
}

nav ul {
	list-style: none;
	display: flex;
}
nav ul li a {
	display: block;
	padding: 1.2em;
}
@media (max-width: 600px) {
    nav ul {
        flex-direction: column;
        width: 100%;
        padding: 0;
    }

    nav ul li a {
        text-align: center;
        padding: 0.9em;
        border-top: 1px solid black;
    }
}
@media (hover: hover) {	
	nav ul li:hover,
	nav ul li.current {
	background-color: #3F3438;
	color: var(--text-color);
	}
}
nav ul li:active {
	background-color: #51494c;
	color: var(--text-color);
}

main {
    background-color: var(--main-color);
}
main div {
	text-align: center;
  color: var(--text-color);
	font-size: 1em;
}
main img {
	width: 100%;
    max-width: 300px;
    height: auto;
    margin-left: 1rem;
  opacity: var(--klarhet);
}
@media (max-width: 600px) {
    main img {
        float: none;
        display: block;
        margin: 0 auto;
    }
}
main #knapp a {
	text-decoration: underline;
}

/* "Toggle" / darkmode knapp */

.switch {
  position: relative;
  width: 3.8em;
  height: 2.1em;
}
@media (max-width: 600px) {

    .switch {
        position: absolute;
        left: 0em;
    }
}

.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  position: absolute;
  cursor: pointer;
  inset: 0;
  background-color: #ccc;
}

.slider:before {
  position: absolute;
  content: "";
  height: 1.6em;
  width: 1.6em;
  bottom: 0.25em;
  background-color: #ffffff;
  transition: .4s;
}

input:checked + .slider {
  background-color: #1970b8;
}

input:checked + .slider:before {
  transform: translateX(1.6em);
}

.slider.round {
  border-radius: 2em;
}

.slider.round:before {
  border-radius: 50%;
}


/* Efter man trycker på knapp*/
.dark-mode {
  --bg-color: #1b1b1b;
  --hd-color: #132a38;
  --main-color: #203324;
  --nav-color: #111f2a;
  --text-color: #d7d2d2;
  --klarhet: 0.5;
}



footer {
	background: var(--nav-color);
	display: flex;
	justify-content: center;
  align-items: center;
	height: 3em;
}

/*  */